Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518588 - x86info hit kernel warning: [12104.342769] memremap attempted on mixed range 0x000000000009f000 size: 0x1000
Summary: x86info hit kernel warning: [12104.342769] memremap attempted on mixed range ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 09:27 UTC by Chunyu Hu
Modified: 2018-04-16 16:54 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-16 16:54:39 UTC


Attachments (Terms of Use)

Description Chunyu Hu 2017-11-29 09:27:06 UTC
Description of problem:
x86info is broken in Fedora28 rawhide. 

Version-Release number of selected component (if applicable):

[root@hp-dx2300-01 ~]# x86info  -c
x86info v1.30.  Dave Jones 2001-2011
Feedback to <davej@redhat.com>.

readEntry: Bad address
error reading 1K from 0x9f800
[root@hp-dx2300-01 ~]# uname -r
4.15.0-0.rc0.git7.2.fc28.x86_64

[86698.651939] ------------[ cut here ]------------
[86698.656706] memremap attempted on mixed range 0x000000000009f000 size: 0x1000
[86698.666029] WARNING: CPU: 0 PID: 15227 at kernel/memremap.c:98 memremap+0x104/0x170
[86698.673691] Modules linked in: rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace fscache sunrpc iTCO_wdt iTCO_vendor_support ppdev intel_powerclamp snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm lpc_ich i2c_i801 parport_pc parport snd_timer snd shpchp soundcore xfs libcrc32c i915 video i2c_algo_bit drm_kms_helper drm serio_raw e100 ata_generic pata_acpi mii
[86698.713403] CPU: 0 PID: 15227 Comm: x86info Not tainted 4.15.0-0.rc0.git7.2.fc28.x86_64 #1
[86698.721659] Hardware name: Hewlett-Packard HP Compaq dx2300 Microtower/0A90, BIOS MS7336 1.14 11/24/2008
[86698.731131] task: ffff8deccc3eb380 task.stack: ffffa50fc1fdc000
[86698.737052] RIP: 0010:memremap+0x104/0x170
[86698.741152] RSP: 0018:ffffa50fc1fdfde8 EFLAGS: 00010286
[86698.746377] RAX: 0000000000000000 RBX: 0000000000000800 RCX: 0000000000000000
[86698.753510] RDX: ffff8ded0b3d4cc0 RSI: ffff8ded0b3ce508 RDI: ffff8ded0b3ce508
[86698.760642] RBP: 0000000000000001 R08: 0000000000000001 R09: 0000000000000000
[86698.767775] R10: ffffa50fc1fdfd38 R11: 0000000000000000 R12: 0000000000001000
[86698.774908] R13: 00007ffd7921e920 R14: 0000000000000000 R15: 00007ffd7925e978
[86698.782042] FS:  00007f8e01a67b80(0000) GS:ffff8ded0b200000(0000) knlGS:0000000000000000
[86698.790126] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[86698.795872] CR2: 00007f1eb420e050 CR3: 000000008ba8b000 CR4: 00000000000006f0
[86698.803007] Call Trace:
[86698.805472]  xlate_dev_mem_ptr+0x25/0x40
[86698.809407]  read_mem+0x69/0x150
[86698.812655]  __vfs_read+0x33/0x170
[86698.816076]  vfs_read+0x9e/0x150
[86698.819315]  SyS_read+0x55/0xc0
[86698.822472]  entry_SYSCALL_64_fastpath+0x1f/0x96
[86698.827093] RIP: 0033:0x7f8e01377e51
[86698.830670] RSP: 002b:00007ffd7921e8e8 EFLAGS: 00000246 ORIG_RAX: 0000000000000000
[86698.838236] RAX: ffffffffffffffda RBX: 00000000010e1670 RCX: 00007f8e01377e51
[86698.845366] RDX: 0000000000000400 RSI: 00007ffd7921e920 RDI: 0000000000000003
[86698.852499] RBP: 00007ffd7925eab8 R08: 0000000000000001 R09: 0000000000000000
[86698.859632] R10: 0000000000000000 R11: 0000000000000246 R12: 00000000010e1670
[86698.866765] R13: 00007ffd7925eab0 R14: 00007ffd7921e91e R15: 00007ffd7925e978
[86698.873923] Code: 48 83 c4 08 5b 5d 41 5c c3 80 3d 71 cd 12 01 00 75 b7 4c 89 e2 48 89 e6 48 c7 c7 d8 60 cd 85 c6 05 5b cd 12 01 01 e8 5c 55 e9 ff <0f> ff eb 9a 4c 89 e6 48 89 df e8 8d 44 e5 ff 48 85 c0 74 99 48 
[86698.892982] ---[ end trace 33a7db6b96c6d815 ]---


How reproducible:
always

Steps to Reproduce:
[root@hp-dx2300-01 ~]# rpm -q x86info
x86info-1.30-12.fc27.x86_64


Actual results:
warning shown, x8info can't get useful cpu info.

Expected results:


Additional info:
strace:
open("/dev/cpu/3/cpuid", O_RDONLY)      = 3
open("/dev/cpu/3/cpuid", O_RDONLY)      = 3
open("/dev/cpu/3/cpuid", O_RDONLY)      = 3
open("/dev/cpu/3/cpuid", O_RDONLY)      = 3
open("/dev/cpu/3/cpuid", O_RDONLY)      = 3
open("/dev/cpu/3/cpuid", O_RDONLY)      = 3
open("/dev/mem", O_RDONLY)              = 3
readEntry: Bad address
Found 4 identical CPUserror reading 1K from 0x9fc00

Comment 1 Laura Abbott 2018-04-06 18:50:35 UTC
Did this get fixed?

Comment 2 Chunyu Hu 2018-04-16 11:30:42 UTC
it seems fixed with latest 4.16 kernel. I don't hit it any more.

Comment 3 Laura Abbott 2018-04-16 16:54:39 UTC
Thanks for letting us know.


Note You need to log in before you can comment on or make changes to this bug.